List all verifications
curl --request GET \
--url https://api-sandbox.argyle.com/partners/v2/verifications \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/verifications"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api-sandbox.argyle.com/partners/v2/verifications?cursor=ZXhhbXBsZV9jdXJzb3I",
"previous": null,
"results": [
{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "api",
"status": {
"state": "PENDING",
"code": "pending",
"errors": []
},
"report": {
"id": "2a14ce6f-3aed-4c15-8ea2-92a17b6edb95",
"type": "voie",
"file_url": null,
"json_url": null
},
"employments": [],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"data_source": "payroll"
},
{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc3333",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9345",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-10T05:14:06.081Z",
"updated_at": "2023-03-10T13:03:06.081Z",
"channel": "api",
"status": {
"state": "PROCESSING",
"code": "authenticated",
"errors": []
},
"report": {
"id": null,
"type": "voai",
"file_url": null,
"json_url": null,
"configuration": {
"from_date": "2024-01-01T00:00:00Z",
"income_stream_confidence_minimum": 50,
"report_custom_fields": [
{
"label": "loanID",
"value": "12345",
"shown": true
}
]
}
},
"employments": [],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"data_source": "banking"
}
]
}Partners Verifications
List all verifications
Returns a paginated list of all verification objects.
GET
/
partners
/
v2
/
verifications
List all verifications
Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
Filter by user ID.
Filter by verification status state.
Available options:
PENDING, PROCESSING, PAUSED, CANCELLED, COMPLETED Filter by verification status code.
Available options:
pending, invite_sent, user_session_started, authenticated, documents_processing, report_available, waiting_on_third_party, report_generating, awaiting_certification, connection_attempted, more_data_required, syncing_error, cancelled_by_client, system_error, argyle_timeout, completed, completed_with_errors Filter by report type.
Available options:
voie, voe, voie-government, voa, voi, voai, voe-transactions, doc-voi-mortgage Filter by loan number.